## nvidia-settings-legacy-96xx 96.43.20

=== Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2004 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of Version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See Version 2
# of the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the:
#
#           Free Software Foundation, Inc.
#           59 Temple Place - Suite 330
#           Boston, MA 02111-1307, USA
#

#
# This is the top level Makefile for the nvidia-settings utility
#

# Below are variables that users can override, either here or on the
# make commandline
#
# CC = gcc
# CFLAGS = -Wall
# PKG_CONFIG = pkg-config
# X11R6_DIR = /usr/X11R6

# default build target

default: all


# default definitions; can be overwritten by users

SHELL = /bin/sh
INSTALL = install
BUILD_OS := $(shell uname)
BUILD_ARCH := $(shell uname -m)
M4 := m4

ifndef CC
  CC = gcc
endif

ifndef PKG_CONFIG
  PKG_CONFIG = pkg-config
endif

ifndef X11_LIB_DIRS
  ifeq ($(BUILD_OS)-$(BUILD_ARCH),Linux-x86_64)
    X11_LIB_DIRS = -L/usr/X11R6/lib64
  else
    X11_LIB_DIRS = -L/usr/X11R6/lib
  endif
endif

ifndef X11_INC_DIRS
  X11_INC_DIRS = -I/usr/X11R6/include
endif

# define local variables

LOCAL_CFLAGS = -Wall

# the NVDEBUG environment variable controls whether we build debug or retail

ifeq ($(NVDEBUG),1)
  STRIP = true
  LOCAL_CFLAGS += -g -DDEBUG
else
  ifndef STRIP
    STRIP = strip
  endif
  LOCAL_CFLAGS += -O -DNDEBUG
endif

# default prefix
ifdef ROOT
  prefix = $(ROOT)/usr
else
  prefix = /usr/local
endif

# default echo within SunOS sh does not have -n option. Use /usr/ucb/echo instead.
# Solaris install has a different argument syntax 
ifeq ($(BUILD_OS),SunOS)
ECHO=/usr/ucb/echo
define INSTALL_RULE
	$(INSTALL) -m 755 -f $(bindir) $(NVIDIA_SETTINGS)
	mkdir -p $(mandir)
	$(INSTALL) -m 644 -f $(mandir) doc/$(MANPAGE)
endef
LD_RUN_FLAG=-R/usr/X11R6/lib
else
ECHO=echo
define INSTALL_RULE
	$(INSTALL) -m 755 $(NVIDIA_SETTINGS) $(bindir)/$(NVIDIA_SETTINGS)
	mkdir -p $(mandir)
	$(INSTALL) -m 644 doc/$(MANPAGE) $(mandir)
	gzip -9f $(mandir)/$(MANPAGE)
endef
endif

exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(exec_prefix)/share/man/man1

X11_CFLAGS = $(X11_INC_DIRS)

GTK_CFLAGS := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
GTK_LDFLAGS := $(shell $(PKG_CONFIG) --libs gtk+-2.0)

X11_LIBS := $(X11_LIB_DIRS) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext

XNVCTRL_LIB := src/libXNVCtrl/libXNVCtrl.a

XF86PARSER_LIB := src/XF86Config-parser/libXF86Config-parser.a
XF86PARSER_DIR := src/XF86Config-parser

CURDIR := $(shell pwd)

RELATIVE_SRCDIRS = \
	doc \
	src \
	src/image_data \
	src/xpm_data \
	src/gtk+-2.x \
	src/libXNVCtrl \
	src/libXNVCtrlAttributes \
	src/XF86Config-parser \
	samples


SRCDIRS := $(addprefix $(CURDIR)/, $(RELATIVE_SRCDIRS))

INC_FLAGS := $(addprefix -I , $(RELATIVE_SRCDIRS))

ALL_CFLAGS = $(CFLAGS) $(LOCAL_CFLAGS) $(X11_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
ALL_LDFLAGS = $(LD_RUN_FLAG) $(LDFLAGS) $(GTK_LDFLAGS) $(X11_LIBS) -lm

CPPFLAGS = $(ALL_CFLAGS)


NVIDIA_SETTINGS = nvidia-settings
NVIDIA_SETTINGS_VERSION = 1.0

NVIDIA_SETTINGS_DISTDIR = $(NVIDIA_SETTINGS)-$(NVIDIA_SETTINGS_VERSION)
NVIDIA_SETTINGS_DISTDIR_DIRS := \
	$(addprefix $(NVIDIA_SETTINGS_DISTDIR)/, $(RELATIVE_SRCDIRS))

STAMP_C = g_stamp.c

MANPAGE = nvidia-settings.1


# initialize SRC and EXTRA_DIST, then include each of the subdirectory
# Makefiles so that they can append to SRC and EXTRA_DIST

SRC =
EXTRA_DIST =

include $(patsubst %,%/Makefile.inc,$(RELATIVE_SRCDIRS))


# set VPATH 

VPATH = $(RELATIVE_SRCDIRS)


# additional sources (eg: generated sources) can be appended to ALL_SRC

ALL_SRC = $(SRC) $(STAMP_C)


# OBJS and DEPS are constructed such that they are placed into special
# ".objs" and ".deps" subdirectories

OBJS_DIR = .objs
DEPS_DIR = .deps

OBJS := $(patsubst %.c,$(OBJS_DIR)/%.o,$(ALL_SRC))
DEPS := $(patsubst %.c,$(DEPS_DIR)/%.d,$(SRC))

# and now, the build rules:

all: $(NVIDIA_SETTINGS) doc/$(MANPAGE)

install: all
	$(STRIP) $(NVIDIA_SETTINGS)
	$(INSTALL_RULE)

$(OBJS_DIR)/%.o: %.c
	@ mkdir -p $(OBJS_DIR)
	$(CC) -c $(ALL_CFLAGS) $< -o $@

$(DEPS_DIR)/%.d: %.c
	@ mkdir -p $(DEPS_DIR)
	@ set -e; b=`basename $* .c` ; \
	$(CC) -MM $(CPPFLAGS) $< \
	| sed "s%\\($$b\\)\\.o[ :]*%$(OBJS_DIR)/\\1.o $(DEPS_DIR)/\\1.d : %g" > $@; \
	[ -s $@ ] || rm -f $@

$(STAMP_C): $(filter-out $(OBJS_DIR)/$(STAMP_C:.c=.o), $(OBJS))
	@ rm -f $@
	@ $(ECHO) -n "const char NV_ID[] = \"nvidia id: " >> $@
	@ $(ECHO) -n "$(NVIDIA_SETTINGS):  " >> $@
	@ $(ECHO) -n "version $(NVIDIA_SETTINGS_VERSION)  " >> $@
	@ $(ECHO) -n "($(shell whoami)@$(shell hostname))  " >> $@
	@ echo    "$(shell date)\";" >> $@
	@ echo    "const char *pNV_ID = NV_ID + 11;" >> $@


%.i : %.c
	$(CC) $(CPPFLAGS) -E -dD $< | sed -e 's/^ $$//' > $@
	indent -kr -nbbo -l96 -sob $@

$(XF86PARSER_LIB):
	$(MAKE) NV_CFLAGS='$(NV_CFLAGS)' -C $(XF86PARSER_DIR)

$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_LIB) $(XF86PARSER_LIB)
	$(CC) $(OBJS) $(ALL_CFLAGS) $(ALL_LDFLAGS) $(XNVCTRL_LIB) $(XF86PARSER_LIB) -o $@

.PHONY: $(XF86PARSER_LIB) dist clean clobber

dist:
	@ if [ -d $(NVIDIA_SETTINGS_DISTDIR) ]; then \
		chmod 755 $(NVIDIA_SETTINGS_DISTDIR); \
	fi
	@ if [ -f $(NVIDIA_SETTINGS_DISTDIR).tar.gz ]; then \
		chmod 644 $(NVIDIA_SETTINGS_DISTDIR).tar.gz; \
	fi
	rm -rf $(NVIDIA_SETTINGS_DISTDIR) $(NVIDIA_SETTINGS_DISTDIR).tar.gz
	mkdir -p $(NVIDIA_SETTINGS_DISTDIR_DIRS)
	@ for inc_dir in $(RELATIVE_SRCDIRS) .; do \
		EXTRA_DIST=; \
		SRC=; \
		mkdir -p $(NVIDIA_SETTINGS_DISTDIR)/$$inc_dir; \
		for inc_file in `$(MAKE) --makefile $$inc_dir/Makefile.inc dist_list`; do \
			file="$$inc_dir/$$inc_file"; \
			cp $$file $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
			chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
		done; \
	done
	tar czf $(NVIDIA_SETTINGS_DISTDIR).tar.gz $(NVIDIA_SETTINGS_DISTDIR)
	rm -rf $(NVIDIA_SETTINGS_DISTDIR)

clean clobber:
	rm -rf $(OBJS_DIR) $(DEPS_DIR) $(STAMP_C) $(NVIDIA_SETTINGS)
	find . -name "*~" -exec rm -f \{\} \;

-include $(DEPS)

=== src/XF86Config-parser/Makefile ===
SRC = \
	DRI.c \
	Device.c \
	Files.c \
	Flags.c \
	Input.c \
	Keyboard.c \
	Layout.c \
	Module.c \
	Monitor.c \
	Pointer.c \
	Screen.c \
	Vendor.c \
	Video.c \
	Read.c \
	Scan.c \
	Write.c \
	Util.c \
	Extensions.c \
	Generate.c

OBJS = $(SRC:%.c=%.o)
DEPS = $(SRC:%.c=%.d)

ifndef CC
  CC = gcc
endif

CFLAGS = -Wall -g

ifdef NV_CFLAGS
  CFLAGS += $(NV_CFLAGS)
endif

ifndef RANLIB
  RANLIB = ranlib
endif

LIB = libXF86Config-parser.a
LIB_O = $(LIB:%.a=%.o)

default all: $(LIB)

.PHONY: clean clobber

$(LIB): $(OBJS)
	$(LD) -r -o $(LIB_O) $(OBJS)
	$(AR) ruv $(LIB) $(LIB_O)
	$(RANLIB) $(LIB)

%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@

%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
		| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
		[ -s $@ ] || rm -f $@

clean clobber:
	rm -rf *.o *~ *.d $(LIB) $(LIB_O)

-include $(DEPS)

=== debian/changelog ===
nvidia-settings-legacy-96xx (96.43.20-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Sep 2013 01:11:28 +0200

nvidia-settings-legacy-96xx (96.43.20-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings-legacy-173xx 173.14.38-1

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 21:05:05 +0200

nvidia-settings-legacy-96xx (96.43.20-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 96xx driver.
  * Update patches for 96xx:
    - 01_allow_dark_themes.diff: Disable, does not apply cleanly.
    - 03_build_xnvctrl_with_fpic.diff: Update.
    - 06_fix_typos.diff: Refresh.
    - 08_fix_format-security.diff: Refresh.
    - 09_add_missing_linked_library.diff: Update.
    - 15_prev_error_handler.diff: New. Fix usage of possibly undefined
      prev_error_handler.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 May 2013 00:06:46 +0200

nvidia-settings-legacy-173xx (173.14.38-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 20:49:08 +0200

nvidia-settings-legacy-173xx (173.14.37-1) unstable; urgency=low

  * New upstream release.
  * Synchronize packaging with nvidia-settings 304.88-2:
    - Use canonical Vcs-* URLs. 
    - Bump Standards-Version to 3.9.4. No changes needed.
    - Add support for "legacy" substitution like in nvidia-graphics-drivers.
    - Add support for renaming control files for legacy use.
    - Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/legacy-173xx.
    - nvidia-alternative-legacy-173xx manages the alternative symlinks.
    (Closes: #688752)
  * Drop support for the 96xx legacy driver. That will get its own
    nvidia-settings-legacy-96xx.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:52:32 +0200

nvidia-settings-legacy-173xx (173.14.35-2) unstable; urgency=low

  * Add libgl1-nvidia-legacy-96xx-glx as alternative recommendation to avoid
    pulling in 173xx packages on 96xx installations.  (Closes: #702651)
  * Update menu title (Closes: #688748) and package description to mention
    96xx legacy support.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:53:26 +0100

nvidia-settings-legacy-173xx (173.14.35-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 173xx driver.
    nvidia-settings (>= 302) is no longer fully backwards compatible with the
    legacy driver.
  * Build only a single binary package, no -dev package or shared library.
  * 08_fix_format-security: New patch to fix compile errors.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 31 Jul 2012 17:16:30 +0200

nvidia-settings-legacy-304xx (304.108-3) UNRELEASED; urgency=low

  * Add Build-Conflicts: libxnvctrl-dev, to avoid building against the shared
    library.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 20:28:50 +0200

nvidia-settings-legacy-304xx (304.108-2) unstable; urgency=low

  * Fix nvidia-legacy-304xx-alternative substitution.  (Closes: #722492)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:36:32 +0200

nvidia-settings-legacy-304xx (304.108-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 304xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 21:50:13 +0200

nvidia-settings (304.108-3) UNRELEASED; urgency=low

  * Add Build-Conflicts: libxnvctrl-dev, to avoid accidently building the
    legacy packages against the shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:59:30 +0200

nvidia-settings (304.108-2) unstable; urgency=low

  * More generic "nvidia-alternative" substitution.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:43:45 +0200

nvidia-settings (304.108-1) unstable; urgency=low

  * New upstream release 304.108.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:32:16 +0200

nvidia-settings (304.88-2) unstable; urgency=low

  * 13_clean.diff: New. Recurse into libXNVCtrl during clean.
  * Fix building twice in a row.
  * 14_install_docs.diff: New. Fix permissions of installed manpage.
  * Use canonical Vcs-* URLs. 
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Renumber patches to avoid numbering conflicts with -legacy-*.
  * Add support for "legacy" substitution like in nvidia-graphics-drivers.
  * Add support for renaming control files for legacy use.
  * Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/current.
    - nvidia-alternative manages the alternative symlinks.
    (Closes: #688749)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:36:04 +0200

nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.


=== debian/control ===
Source: nvidia-settings-legacy-96xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.4
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-96xx/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings-legacy-96xx/

Package: nvidia-settings-legacy-96xx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 304.88-3),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.
